/*
 * ECS.cpp
 *
 *  Created on: Mar 24, 2020
 *      Author: ayoungblood
 */

#include "ECS.h"

void Entity::addGroup(Group mGroup)
{
	groupBitset[mGroup] = true;
	manager.AddToGroup(this, mGroup);
}
void Entity::setTag(std::string t)
{
    this->tag = t;
}

